View Issue Details

IDProjectCategoryView StatusLast Update
0000159Far ManagerViewerpublic2011-03-24 11:18
ReporteralexfhAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary0000159: Глюки при просмотре содержимого логических/физических дисков (\\.\c:, \\.\PhysicalDrive0)
DescriptionПри прокрутке содержимого с помощью PgUp/PgDn/Up/Dn положение в файле меняется крайне неприличным образом. Лучше всего наблюдается в hex режиме.

Пример:
Логинимся администратором, запускаем фар в консоли 80x40 (для определенности), набираем view:\\.\c:, жмем ентер.
Видим что-нибудь вроде
\\.\c: DOS 4096 Col 0 0%
0000000000: EB 52 90 4E 54 46 53 20 │ 20 20 20 00 02 08 00 00 ыRРNTFS
...
0000000250: 00 00 00 00 00 00 EB 12 │ 90 90 00 00 00 00 00 00 ыРР

Жмем PgDn. Просмотр уже начинается с 0x1200 вместо 0x260. Еще раз PgDn. Теперь уже начинается с 0x3600. PgUp - 0x2400, PgUp - 0x3600, PgUp - 0x4800, PgUp - 0x5A00, PgUp - 0x6C00, PgUp - 0x7E00, итд. После 0x13200 становится таки 0.

При прокручивании Up/Down - тоже достаточно странные явления.
TagsNo tags attached.
Build1904

Activities

TS

2006-05-06 19:11

developer   bugnote:0000177

ПОДТВЕРЖДАЮ

alexfh

2010-05-15 17:38

reporter   bugnote:0005376

может, перенести в Far Manager Unicode?
там симптомы такие же, а глаза мозолить будет больше ;)

alexy

2010-05-15 17:41

administrator   bugnote:0005377

тут поможет только патч :) (или переделка вьювера)

DrKnS

2010-06-26 17:11

administrator   bugnote:0005495

Подозреваю, починилось само собой в 1593.

kirillony

2010-06-27 04:39

reporter   bugnote:0005496

При просмотре в начале "файла" вроде всё ок. Но как-то странно работают кнопки End/CtrlPgDn - реакция как на стрелку вниз, а после PgUp/PgDn, а затем End/CtrlPgDn - вообще реакция труднопредсказуемая.
Конкретно просмотр гнать начинает, если по Alt-F8 перейти на самый конец через 10-ичное смещение например.

kirillony

2010-06-28 04:31

reporter   bugnote:0005497

Может быть глюки в конце при просмотре \\.\physicaldrive0 из-за неправильно расчитанного размера "файла"? В заголовке вьювера у меня кажет:
\\.\physicaldrive0 160040803840, а при просмотре при переключении в HEX адрес последней строчки начинается с 25432CDF50=160040804176

2useven10

2011-03-23 22:43

developer   bugnote:0006556

Last edited: 2011-03-23 22:53

View 2 revisions

far2 (b1807) - глючит (по разному \\.\c: -- позиция всегда 0, \\.\physicaldrive -- home/end работают как стрелки вверх/вниз)

far3 (b1930) - работает

DrKnS

2011-03-24 11:18

administrator   bugnote:0006557

1904

Issue History

Date Modified Username Field Change
2006-05-04 09:17 alexfh New Issue
2006-05-06 19:11 TS Note Added: 0000177
2009-05-29 03:00 alexy Status new => assigned
2009-05-29 03:00 alexy Assigned To => DrKnS
2010-05-15 17:38 alexfh Note Added: 0005376
2010-05-15 17:41 alexy Note Added: 0005377
2010-06-26 17:11 DrKnS Note Added: 0005495
2010-06-26 17:11 DrKnS Status assigned => feedback
2010-06-27 04:39 kirillony Note Added: 0005496
2010-06-28 04:31 kirillony Note Added: 0005497
2010-07-12 03:22 alexy Project Far Manager 1.7x => Far Manager
2010-07-12 03:30 alexy Product Version 1.70 =>
2011-03-23 22:43 2useven10 Note Added: 0006556
2011-03-23 22:53 2useven10 Note Edited: 0006556 View Revisions
2011-03-24 11:18 DrKnS Build => 1904
2011-03-24 11:18 DrKnS Note Added: 0006557
2011-03-24 11:18 DrKnS Status feedback => closed
2011-03-24 11:18 DrKnS Resolution open => fixed
2011-03-24 11:18 DrKnS Fixed in Version => 3.0